/*******************************************************************************
 * FoxGameMP_CTDM generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGameMP_CTDM extends FoxGameMP_TDM
    config(Game)
    hidecategories(Navigation,Movement,Collision);

function int GetCurrentScore(PlayerReplicationInfo TestPRI)
{
    local PlayerReplicationInfo ThePRI;

    // End:0xC3
    if((TestPRI != none) && FoxPawn_DeployableBase(Controller(TestPRI.Owner).Pawn) != none)
    {
        ThePRI = FoxPawn_DeployableBase(Controller(TestPRI.Owner).Pawn).OwningPlayerPRI;
    }
    // End:0xD6
    else
    {
        ThePRI = TestPRI;
    }
    return ((ThePRI != none) ? ThePRI.Kills : 0);
    //return ReturnValue;    
}

function bool CheckScore(PlayerReplicationInfo TestPRI)
{
    return (GetCurrentScore(TestPRI)) >= GoalScore;
    //return ReturnValue;    
}

simulated function TeamInfo GetWinningTeamForRound()
{
    local array<FoxPRI> Team1SortedPRIs, Team2SortedPRIs;
    local FoxGRI GRI;

    GRI = FoxGRI(GameReplicationInfo);
    Team1SortedPRIs = GRI.GetSortedPRIs(0);
    Team2SortedPRIs = GRI.GetSortedPRIs(1);
    // End:0xA9
    if(Teams[0].ValidPlayerSize == 0)
    {
        return Teams[1];
    }
    // End:0x2D7
    else
    {
        // End:0xDE
        if(Teams[1].ValidPlayerSize == 0)
        {
            return Teams[0];
        }
        // End:0x2D7
        else
        {
            // End:0x132
            if(Team1SortedPRIs[0].Kills > Team2SortedPRIs[0].Kills)
            {
                return Teams[0];
            }
            // End:0x2D7
            else
            {
                // End:0x186
                if(Team2SortedPRIs[0].Kills > Team1SortedPRIs[0].Kills)
                {
                    return Teams[1];
                }
                // End:0x2D7
                else
                {
                    // End:0x1DA
                    if(Team1SortedPRIs[0].Deaths < Team2SortedPRIs[0].Deaths)
                    {
                        return Teams[0];
                    }
                    // End:0x2D7
                    else
                    {
                        // End:0x22E
                        if(Team2SortedPRIs[0].Deaths < Team1SortedPRIs[0].Deaths)
                        {
                            return Teams[1];
                        }
                        // End:0x2D7
                        else
                        {
                            // End:0x284
                            if(Team1SortedPRIs[0].GetCurrentEarnedXP() > Team2SortedPRIs[0].GetCurrentEarnedXP())
                            {
                                return Teams[0];
                            }
                            // End:0x2D7
                            else
                            {
                                // End:0x2D7
                                if(Team2SortedPRIs[0].GetCurrentEarnedXP() > Team1SortedPRIs[0].GetCurrentEarnedXP())
                                {
                                    return Teams[1];
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    return Teams[Rand(2)];
    //return ReturnValue;    
}

defaultproperties
{
    GameTypeStatsClass=class'FoxOnlineStatsWriteGameTypeCTDM'
    GameTypeString="Competitive Team Deathmatch"
    GameTypeAbbreviatedName="CTDM"
    HUDType=class'FoxHudCTDM'
    GoalScore=15
    GameReplicationInfoClass=class'FoxGRI_CTDM'
    OnlineGameSettingsClass=class'FoxGameSettingsCTDM'
}